LayersDropTarget (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client.layerspanel

## Class LayersDropTarget

- java.lang.Object
- - com.extjs.gxt.ui.client.event.BaseObservable
  - - com.extjs.gxt.ui.client.dnd.DropTarget
    - - org.gcube.portlets.user.gisviewer.client.layerspanel.LayersDropTarget

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.event.Observable

      public class LayersDropTarget
      extends com.extjs.gxt.ui.client.dnd.DropTarget

  A `DropTarget` implementation for Grids. Supports both inserts and appends, specified using `DropTarget.setOperation(com.extjs.gxt.ui.client.dnd.DND.Operation)`.

  Supported drag data:
  - A single ModelData instance.
  - A List of ModelData instances.
  - A List of TreeStoreModel instances (children are ignored).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LayersPanel` | `layersPanel`

    - ### Fields inherited from class com.extjs.gxt.ui.client.dnd.DropTarget

      `component, feedback, operation, overStyle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayersDropTarget(LayersPanel layersPanel)` Creates a new drop target instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onDragDrop(com.extjs.gxt.ui.client.event.DNDEvent event)`
    `protected void` | `onDragMove(com.extjs.gxt.ui.client.event.DNDEvent e)`

    - ### Methods inherited from class com.extjs.gxt.ui.client.dnd.DropTarget

      `addDNDListener, disable, enable, getComponent, getFeedback, getGroup, getOperation, getOverStyle, isAllowSelfAsSource, isEnabled, onComponentAttach, onComponentDetach, onDragCancelled, onDragEnter, onDragFail, onDragLeave, prepareDropData, release, removeDNDListener, setAllowSelfAsSource, setFeedback, setGroup, setOperation, setOverStyle, showFeedback`

    - ### Methods inherited from class com.extjs.gxt.ui.client.event.BaseObservable

      `addListener, callListener, fireEvent, fireEvent, getFiresEvents, getListeners, hasActiveEvent, hasListeners, hasListeners, removeAllListeners, removeListener, setFiresEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### layersPanel

          protected LayersPanel layersPanel

  - ### Constructor Detail

    - #### LayersDropTarget

          public LayersDropTarget(LayersPanel layersPanel)

      Creates a new drop target instance.
      Parameters:
        `grid` - the target LayersPanel

  - ### Method Detail

    - #### onDragMove

          protected void onDragMove(com.extjs.gxt.ui.client.event.DNDEvent e)

      Overrides:
        `onDragMove` in class `com.extjs.gxt.ui.client.dnd.DropTarget`

    - #### onDragDrop

          protected void onDragDrop(com.extjs.gxt.ui.client.event.DNDEvent event)

      Overrides:
        `onDragDrop` in class `com.extjs.gxt.ui.client.dnd.DropTarget`

Copyright © 2014. All Rights Reserved.